Name:		qastools
Version:	0.23.0
Release:	%mkrel 3
Summary:	A collection of desktop applications for ALSA
License:	GPLv3
Group:		Sound/Utilities
Url:		https://gitlab.com/sebholt/qastools
Source0:	https://gitlab.com/sebholt/qastools/-/archive/v%{version}/%{name}-v%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(libudev)
BuildRequires:	desktop-file-utils

%description
QasTools is a collection of Qt-based mixer and setup tools for the
Linux sound system ALSA.

Features:
   * Desktop ALSA mixer applications
   * Desktop ALSA configuration browser


%prep
%setup -q -n %{name}-v%{version}
%autopatch -p1

%build
%cmake_qt5

%cmake_build

%install
%cmake_install

# make the .desktop file compliant with freedesktop specs
for i in qasconfig qashctl qasmixer;
do
desktop-file-validate %{buildroot}%{_datadir}/applications/$i.desktop
done

# it'll be %%doc'ed
rm -f %{buildroot}%{_datadir}/%{name}/COPYING

%files
%doc CHANGELOG README.md
%license COPYING
%{_bindir}/qasconfig
%{_bindir}/qashctl
%{_bindir}/qasmixer
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/*.svg
%{_mandir}/man1/qasconfig.1.*
%{_mandir}/man1/qashctl.1.*
%{_mandir}/man1/qasmixer.1.*
%{_datadir}/%{name}/icons/*.svg
%{_datadir}/%{name}/widgets/sw_joined_*.svg
%{_datadir}/%{name}/l10n/%{name}_*.qm
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/icons
%dir %{_datadir}/%{name}/widgets
%dir %{_datadir}/%{name}/l10n
%{_metainfodir}/qasconfig.appdata.xml
%{_metainfodir}/qashctl.appdata.xml
%{_metainfodir}/qasmixer.appdata.xml


%changelog
* Mon Apr 04 2022 umeabot <umeabot> 0.23.0-3.mga9
+ Revision: 1843316
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 0.23.0-2.mga8
+ Revision: 1659443
- Rebuild for new Qt5

* Sat Jul 25 2020 daviddavid <daviddavid> 0.23.0-1.mga8
+ Revision: 1608903
- new version: 0.23.0

* Sun Feb 16 2020 umeabot <umeabot> 0.22.0-2.mga8
+ Revision: 1535073
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Thu Oct 10 2019 daviddavid <daviddavid> 0.22.0-1.mga8
+ Revision: 1451098
- new version: 0.22.0

* Mon Apr 01 2019 umeabot <umeabot> 0.21.0-3.mga7
+ Revision: 1384129
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.21.0-2.mga7
+ Revision: 1300633
- Mageia 7 Mass Rebuild

* Sat May 28 2016 daviddavid <daviddavid> 0.21.0-1.mga6
+ Revision: 1019133
- new version: 0.21.0
- port to Qt5
- update description

* Tue Feb 09 2016 daviddavid <daviddavid> 0.18.1-1.mga6
+ Revision: 952799
- new version: 0.18.1
- remove merged upstream patches
- use %%cmake_qt4 macro
- fix owner of data dir

* Sun Oct 25 2015 daviddavid <daviddavid> 0.17.2-8.mga6
+ Revision: 895433
- remove empty lang files to fix build with latest rpm

* Sat Nov 22 2014 alexl <alexl> 0.17.2-7.mga5
+ Revision: 798333
- translated desktop file into Russian

* Wed Oct 15 2014 umeabot <umeabot> 0.17.2-6.mga5
+ Revision: 740033
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.17.2-5.mga5
+ Revision: 688463
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.17.2-4.mga4
+ Revision: 517829
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.17.2-3.mga3
+ Revision: 379784
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 barjac <barjac> 0.17.2-2.mga3
+ Revision: 335942
- changed group in line with new policy

* Sun Jun 03 2012 matteo <matteo> 0.17.2-1.mga3
+ Revision: 253767
- new version

* Tue Feb 07 2012 matteo <matteo> 0.17.1-1.mga2
+ Revision: 205668
- fixed warning about unversioned obsoletes
- imported package qastools

